# Class BasicTreeUI.TreeExpansionHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.TreeExpansionHandler

All Implemented Interfaces:
  `EventListener, TreeExpansionListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.TreeExpansionHandler extends Object implements TreeExpansionListener
Updates the TreeState in response to nodes expanding/collapsing.

## Constructor Summary

Constructors
Constructor
Description
`TreeExpansionHandler()`
Constructs a `TreeExpansionHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`treeCollapsed(TreeExpansionEvent event)`
Called whenever an item in the tree has been collapsed.
`void`
`treeExpanded(TreeExpansionEvent event)`
Called whenever an item in the tree has been expanded.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeExpansionHandler

public TreeExpansionHandler()
Constructs a `TreeExpansionHandler`.

## Method Details

### treeExpanded

public void treeExpanded(TreeExpansionEvent event)
Called whenever an item in the tree has been expanded.

Specified by:
  `treeExpanded` in interface `TreeExpansionListener`
Parameters:
  `event` - a `TreeExpansionEvent` containing a `TreePath` object for the expanded node

### treeCollapsed

public void treeCollapsed(TreeExpansionEvent event)
Called whenever an item in the tree has been collapsed.

Specified by:
  `treeCollapsed` in interface `TreeExpansionListener`
Parameters:
  `event` - a `TreeExpansionEvent` containing a `TreePath` object for the collapsed node